<div id="myModal" class="modal ajax-forgot-form">
  <!-- Modal content -->
    <div class="<?php if($block->getLayoutType()){echo 'ultimate';}else{ echo 'mobile-modal-content';} ?>">
        <?php include ($block->getTemplateFile('Magecomp_Mobilelogin::image.phtml')) ?>
      <div class="<?php if($block->getLayoutType()) echo 'right' ?>">
    <div class="closediv"><span class="close"></span></div>
      <div class="checkforgototperror" id="checkforgototperror">
          <span class="error1"><?php echo __("Incorect OTP, Please Verify Again.");?></span>
      </div>
      <div class="ajax-forgot-content">
    	<div id="ajaxlogin-forgot-window" class="login-window account-login">
            <div class="forgotmobileget">
                <div class="page_title">
                    <span><?php echo __('Forgot Password') ?></span>
                </div>
                <div class="blankerror error1" id="blankerror_forgorpass">
                    <span><?php echo __("Required fields cannot be empty");?></span>
                </div>
                <div class="forgotmobileerror error1" id="forgotmobileerror">
                    <span><?php echo __("Mobile Number Doesn't Exist");?></span>
                </div>
                    <div class="otp-content input-box" >
                        <div class="forgotmob-div" id="forgotmob-div">
                            <input id="forgotmob" type="tel" class="mobnumber" />
                        </div>
                        <input type="hidden" value="" id="countryreg" name="countryreg" />
                        
                        <input type="text" name="email" value="" id="mobile-forgot-email" class="input-text required-entry " title="<?php echo __('Email Address') ?>" placeholder="<?php echo __('Email Address*') ?>" />
                        <input type="hidden" value="<?php echo $block->getUrl("mobilelogin/index/ajaxforgot"); ?>" class="forgot-otp-url" />
                        <input type="hidden" value="" id="countryreg" name="countryreg" />
                        <span id="valid-msg"><?php echo __('Valid') ?></span>
                        <span id="forgot-mob-error-msg"></span>
                     </div>
                    <div class="submitbtnajax send-otp-button forgot-otp-button">
                        <input type="button" class="forgotsendotp mobbtn" value="Send Otp" />
                    </div>
                    <div class="progress-indicator forgot-mobile-progress-indicator">
                             <span class="please-wait" id="forgot-sms-please-wait">
                                 <img src="<?php echo $block->getViewFileUrl('Magecomp_Mobilelogin::images/ajax-loader.gif');?>" class="v-middle" alt=""/>
                            </span>
                    </div>
                    <div class="otp-content" id="otp-cont">
                            <input type="password" value="" id="forgototp" placeholder="OTP" maxlength="<?php echo $block->getOtpStringlenght() ?>"/>
                            <input type="hidden" value="<?php echo $block->getUrl("mobilelogin/index/ajaxcheckregotp"); ?>" class="checkotpurl" />
                	</div>
                    <div class="model-bottom">
                        <input type="hidden" value="<?php echo $block->getUrl("mobilelogin/index/forgotpasswordpost"); ?>" class="resetbyemail" />
                        <div class="submitbtnajax reset-passwd" id="passresetbyotp">
                            <input type="button" class="forgotverifyotp reset-password mobbtn" value="Reset Password" />
                        </div>
                        <div class="submitbtnajax reset-passwd passresetbyemail" id="passresetbyemail">
                            <input type="button" class="mobbtn" id="resetbyemail" value="Send Email" />
                        </div>
                        <div class="progress-indicator">
                             <span class="please-wait" id="forgot-sms-verify-please-wait">
                                <img src="<?php echo
                                $block->getViewFileUrl('Magecomp_Mobilelogin::images/ajax-loader.gif');?>" class="v-middle" alt=""/>
                            </span>
                        </div>
                    </div>
             </div>
             <div class="forgototpverify" id="forgototpverify">
             	 <div class="checkforgototperror" id="checkforgototperror">
                	<span class="error1"><?php echo __("Incorect OTP, Please Verify Again.");?></span>
                </div>	
                <div class="blankerror error1" id="blankerror_forgot1">
                     	<span><?php echo __("Required fields cannot be empty");?></span>
                 </div>
                 <div class="page-title">
                    <span><?php echo __('OTP Verification') ?></span>
                </div>
				<div class="otp-content">
                 <div class="input-box">
                    </div>
                    <input type="hidden" value="<?php echo $block->getUrl("mobilelogin/index/ajaxforgototpverify"); ?>" class="forgotcheckotpurl" />
                </div>
                 <div class="model-bottom"> 
                    <div class="submitbtnajax">
                        <input type="button" class="forgotverifyotp mobbtn" value="Verify" />
                    </div>
                    <div class="progress-indicator">
                             <span class="please-wait" id="forgot-sms-verify-please-wait">
                                <img src="<?php echo $block->getViewFileUrl('Magecomp_Mobilelogin::images/ajax-loader.gif');?>" class="v-middle" alt=""/>
                            </span>
                    </div>
                </div>
            </div>
            <div class="setnewpass" id="setnewpass">
             	<div class="passmatcherror error1" id="passmatcherror">
                	<span><?php echo __("Password doesn't Match.");?></span>
                </div>
                <div class="resetpassvalidation error1" id="resetpassvalidation">
                	<span><?php echo __("Password should be more then 6 character.");?></span>
                </div>
				<div class="blankerror error1" id="blankerror_forgot2">
                     	<span><?php echo __("Required fields cannot be empty");?></span>
                 </div>
             	 <div class="page_title">
                    <span><?php echo __('Reset Password') ?></span>
                </div>
				<div class="otp-content">
                	<div class="newpass reginput odd ">
                            <div class="input-box">
                                <input type="password" name="newpass" value="" id="newpassotp" class="input-text required-entry " title="<?php echo __('New password') ?>" placeholder="<?php echo __('Enter New password') ?>"/>
                            </div>
                      </div>
                      <div class="confirmpass reginput odd ">
                            <div class="input-box">
                                <input type="password" name="newpassconrmotp" value="" id="newpassconrmotp" class="input-text required-entry " title="<?php echo __('Confrim Password') ?>" placeholder="<?php echo __('Confrim Password') ?>" />
                            </div>
                        </div>
                    <input type="hidden" value="<?php echo $block->getUrl("mobilelogin/index/ajaxupdatepassotp"); ?>" class="updatepassotp" />
                </div>
                 <div class="model-bottom">
                    <div class="submitbtnajax">
                        <input type="button" class="updatepassbtn mobbtn" value="<?php echo __('Continue') ?>" />
                    </div>
                    <div class="progress-indicator">
                                 <span class="please-wait" id="set-new-pass-please-wait">
                                    <img src="<?php echo 
							$block->getViewFileUrl('Magecomp_Mobilelogin::images/ajax-loader.gif');?>" class="v-middle" alt=""/>
                                </span>
                     </div>
                </div>
             </div>
    	</div>
    </div>
      </div>
  </div>
</div>
<script>
    var afoinput = document.querySelector("#forgotmob"),
        forgoterrorMsg = document.querySelector("#forgot-mob-error-msg");

    // here, the index maps to the error code returned from getValidationError - see readme
    var forgoterrorMap = [ "Invalid number", "Invalid country code", "Too short", "Too long", "Invalid number"];

    // initialise plugin
    var afoiti = window.intlTelInput(afoinput, {
        utilsScript: "<?php echo $this->getViewFileUrl('Magecomp_Mobilelogin::js/utils.js'); ?>"
    });

    require(['jquery', 'jquery/ui','mage/mage','mage/validation'], function($){
        jQuery.get('https://ipinfo.io', function() {}, "jsonp").always(function(resp) {
            countryCode = (resp && resp.country) ? resp.country : "";
            afoiti.setCountry(countryCode);
        });
    });

    var reset = function() {
        afoinput.classList.remove("error");
        forgoterrorMsg.innerHTML = "";
    };

    // on blur: validate
    afoinput.addEventListener('blur', function() {
        reset();
        if (afoinput.value.trim()) {
            if (afoiti.isValidNumber()) {
				forgoterrorMsg.innerHTML = "";
            } else {
                var errorCode = afoiti.getValidationError();
                forgoterrorMsg.innerHTML = forgoterrorMap[errorCode];
            }
        }
    });
</script>
